Summary: Password Database Library
Name: pwdb
Version: 0.54
Release: 4
Copyright: GPL or BSD
Group: Base
Source: ftp://sysadm.sorosis.ro/pub/libpwdb/libpwdb-0.54preC.tar.gz
Patch: libpwdb-0.54-defaults.patch
Patch1: libpwdb-0.54-sgml2ps.patch
Patch2: libpwdb-0.54-glibc.patch
Patch3: libpwdb-0.54-longname.patch
Patch4: libpwdb-0.54-badconfig.patch
Patch5: libpwdb-0.54-uid+star.patch
Packager: Frank Meurer <meurer@gmx.de>

%description
pwdb (Password Database Library) allows configurable access to
and management of /etc/passwd, /etc/shadow, and network authentication
systems including NIS and Radius.

%changelog

* Thu Oct  4 2001 Frank Meurer <meurer@gmx.de>

- Linux/mac68k

* Mon Jun 02 1997 Michael K. Johnson <johnsonm@redhat.com>

0.54-4: Added uid+star patch from Andrew to put all passwords in the
right place, and to look them up in the right place.

Also added Erik's endianness fix.

* Tue Apr 22 1997 Michael K. Johnson <johnsonm@redhat.com>

0.54-3: Updated default config file to work better with shadow, and
to work with NIS.

* Sat Apr 19 1997 Michael K. Johnson <johnsonm@redhat.com>

0.54-2: Included Andrew's patch for long usernames.

%prep
%setup -n libpwdb-0.54preC
%patch -p1 -b .defaults
%patch1 -p1 -b .sgml2ps
%patch3 -p1 -b .longname
%patch4 -p1 -b .badconfig
%patch5 -p1 -b .uid+star

%ifarch alpha
%patch2 -p1 -b .glibc
%endif

%build
rm default.defs
ln -s defs/redhat.defs default.defs
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"
(cd doc; make; gzip -9 pwdb.ps)

%install
make install
install -m 644 -o root conf/pwdb.conf /etc/pwdb.conf

%post
ldconfig

%files
%doc Copyright doc/pwdb.txt doc/pwdb.ps.gz doc/html
%config /etc/pwdb.conf
/usr/include/pwdb
/lib/libpwdb.a
/lib/libpwdb.so
/lib/libpwdb.so.0.54
